import http from "@/utils/http";

/**
 * 线上访客
 */
export const getHotInfo1API = () => {
  return http.get("cms/report/getUserHot");
};

/**
 * 热度
 */
export const getHotInfo2API = () => {
  return http.get("cms/report/getHot");
};

/**
 * 浏览总数
 */
export const getHotInfo3API = (dayScope: 1 | 7 | 30 | "") => {
  return http.get(`cms/report/getVisitTotal?dayScope=${dayScope}`);
};

/**
 * 馆藏排行
 */
export const getHotInfo4API = (dayScope: 1 | 7 | 30 | "", type: string) => {
  return http.get(
    `cms/report/getGoodsRanking?dayScope=${dayScope}&type=${type}`
  );
};

/**
 * 场景排行
 */
export const getHotInfo5API = (dayScope: 1 | 7 | 30 | "", type: string) => {
  return http.get(
    `cms/report/getSceneRanking?dayScope=${dayScope}&type=${type}`
  );
};

/**
 * 馆藏统计
 */
export const getHotInfo6API = () => {
  return http.get('cms/report/getGoodsTotal');
};

/**
 * 访客来源
 */
export const getHotMapInfoAPI = () => {
  return http.get('cms/report/getIpHot');
};

/**
 * 访客-国内/国外
 */
export const getHotMapInfoNumAPI = () => {
  return http.get('cms/report/getIpTotalByType');
};
